# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

Name:		perl-Devel-GlobalDestruction-XS
Version:	0.01
Release:	4.%{__distinit}%{__distvers}
License:	GPL+ or Artistic
Group:		Development/Libraries
Summary:	Faster implementation of the Devel::GlobalDestruction API
URL:		https://metacpan.org/release/Devel-GlobalDestruction-XS
Source0:	http://cpan.metacpan.org/authors/id/R/RI/RIBASUSHI/Devel-GlobalDestruction-XS-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
# Build
BuildRequires:	perl(ExtUtils::CBuilder) >= 0.27
BuildRequires:	perl(ExtUtils::MakeMaker)
# Module
BuildRequires:	perl(XSLoader)
# Test suite
BuildRequires:	perl(threads)
BuildRequires:	perl(threads::shared)
# Runtime
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

# Don't "provide" private Perl libs
%{?perl_default_filter}

%description
This is an XS backend for Devel::GlobalDestruction and should be used through
that module.

%prep
%setup -q -n Devel-GlobalDestruction-XS-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type f -name '*.bs' -a -size 0 -exec rm -f {} ';'
%{_fixperms} %{buildroot}

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes
%{perl_vendorarch}/auto/Devel/
%{perl_vendorarch}/Devel/
%{_mandir}/man3/Devel::GlobalDestruction::XS.3pm*

%changelog
* Fri Jul 12 2013 Paul Howarth <paul@city-fan.org> - 0.01-4
- Perl 5.18 rebuild

* Tue Apr  9 2013 Paul Howarth <paul@city-fan.org> - 0.01-3
- Drop redundant explicit dependency on perl(XSLoader) (#928418)

* Wed Mar 27 2013 Paul Howarth <paul@city-fan.org> - 0.01-1
- Initial RPM version
